#!/bin/sh
#
# uses WINE to run cc65 executables
#
set -o xtrace
./ca65.exe --cpu 6502 -t vic20 --listing --include-dir . mazedata.s
./ca65.exe --cpu 6502 -t vic20 --listing --include-dir . -o quikman+8k.o basic+8k.s
./ca65.exe --cpu 6502 -t vic20 --listing --include-dir . vic-sss4.s
./ld65.exe -C basic+8k.cfg -Ln quikman+8k.sym -m quikman+8k.map -o quikman+8k.prg mazedata.o quikman+8k.o vic-sss4.o
set +o xtrace

echo -n "Press RETURN: " && read N

mess -debug -rp roms -skip_gameinfo -skip_warnings -window vic20 -ram 16k -quik quikman+8k.prg
#xvic -ntsc -memory 8k -autostart quikman+8k.prg

exit

